# This is to run the alita-robot in debug mode with alpine image
# This starts up fast and does not do any optimizations
services:
  alita:
    build:
      context: .
      dockerfile: docker/debug.alpine
    container_name: alita-robot
    restart: always
    env_file:
      - .env
    depends_on:
      - mongodb
      - redis

  mongodb:
    image: mongo:latest
    restart: always
    env_file:
      - .db.env
    volumes:
      - ./docker/entrypoint-initdb.d/mongo-init.js:/docker-entrypoint-initdb.d/mongo-init.js:ro

  redis:
    image: redis:latest
    restart: always
    command: redis-server --requirepass redisPassword
